Subject: Ingersol Rand Power Hammer

From: Colin Morton <[email-masked]>
Date: Wed, 10 May 1995 23:39:49 +0800

I run a small Blacksmiths shop and I have An old Ingersol Rand 100lb Power
hammer. I suspect its post war age. I would like to ask if there is any one who
has any technical data, as Ingersol Rand Australia deny all knowledge of ever
making one. 
 Regards  Colin Morton. - Anvil Iron Perth Western Australia.